Page MenuHomePhabricator

[test-suite] Added Image Processing Kernels Using Benchmark Library: utilities functions
ClosedPublic

Authored by proton on Jul 14 2018, 12:04 AM.

Details

Summary

This patch contains some utility functions that some Image processing kernels will require.
As there is a function initRandomImage which makes rand() function call, I have added glibc_compat_rand so that the random number generated is same across different machines.

Note: glibc_compat_rand.cpp is same as in "MultiSource/Benchmarks/DOE-ProxyApps-C/miniAMR/glibc_compat_rand.c"

Diff Detail

Repository
rL LLVM

Event Timeline

proton created this revision.Jul 14 2018, 12:04 AM

I'm not sure why these utilities are being added, is there some other patch that will be using this?

MicroBenchmarks/ImageProcessing/utils/ImageHelper.cpp
34 ↗(On Diff #155552)

Extraneous semicolon, here and below.

MicroBenchmarks/ImageProcessing/utils/ImageHelper.h
13 ↗(On Diff #155552)

const char* instead for outputFile?

MicroBenchmarks/ImageProcessing/utils/glibc_compat_rand.cpp
12–19 ↗(On Diff #155552)

Can you update the commit message to include this explanation on why the glibc_compat_rand.{h,cpp} files are needed?

I'm not sure why these utilities are being added, is there some other patch that will be using this?

Yes. They are added as a separate patch and this patch will be mentioned if they are using this.

proton edited the summary of this revision. (Show Details)Jul 16 2018, 12:58 PM
proton updated this revision to Diff 155759.Jul 16 2018, 2:06 PM
proton updated this revision to Diff 157739.Jul 27 2018, 12:40 PM
proton edited the summary of this revision. (Show Details)

Renamed glibc_compat_rand.cpp back to glibc_compat_rand.c and fixed the link erorr mentioned earlier in summary (when glibc_compat_rand.c was used) .

Meinersbur accepted this revision.Jul 27 2018, 4:47 PM

LGTM.

Can be committed just before the first dependent patch being committed.

This revision is now accepted and ready to land.Jul 27 2018, 4:47 PM
This revision was automatically updated to reflect the committed changes.